GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
Get GSTR3B SummaryGET
Get GSTR1 auto calculated liability detailsGET
Save GSTR3B dataPUT
Offset Liability GSTR3B DataPUT
Save past liability breakup GSTR3B DataPUT
File GSTR3B dataPOST
File GSTR3B dataPOST
validate GSTR3B against auto calculated valuesPOST
Recompute System Calulated InterestPOST
Get system calculated interestGET
Get ITC Reversal BalanceGET
Get Opening Balance For Credit Reversal and Re-claimed DetailsGET
Get latest closing balanceGET
Get RCM opening balanceGET
Submit RCM opening balancePOST
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

Save GSTR-3B Past Liability Breakup

PUThttps://apisandbox.whitebooks.in/gstr3b/liabilitybreakup

Save past liability breakup GSTR3B Data.

Parameters

query parameters
emailstringrequired
User Email
header parameters
gstinstringrequired
GST Number
ret_periodstringrequired
Return Period (MMYYYY)
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Request Body

application/jsonrequired
gstinstringoptional
gstin
Example: "24XHYDR3274D6ZV"
ret_periodstringoptional
Return period
Example: "032024"
breakuparray<object>optional
Array items:
ret_periodstringoptional
Return prd
Example: "032024"
liabilityobjectoptional
iamtnumberoptional
IGST Amount declared
Example: 1000
camtnumberoptional
CGST Amount declared
Example: 150
samtnumberoptional
SGST Amount declared
Example: 200
csamtnumberoptional
Cess Amount declared
Example: 300

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP PUT to /gstr3b/liabilitybreakup. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.
For Save past liability breakup GSTR3B Data (PUT /gstr3b/liabilitybreakup), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Save past liability breakup GSTR3B Data.
PUT/gstr3b/liabilitybreakup
1const response = await fetch('https://apisandbox.whitebooks.in/gstr3b/liabilitybreakup?email=value', {
2 method: 'PUT',
3 headers: {
4 gstin: "value",
5 ret_period: "value",
6 gst_username: "value",
7 state_cd: "value",
8 ip_address: "value",
9 txn: "value",
10 client_id: "value",
11 client_secret: "value",
12 Content-Type: "application/json"
13},
14 body: JSON.stringify({
15 "gstin": "24XHYDR3274D6ZV",
16 "ret_period": "032024",
17 "breakup": [
18 {
19 "ret_period": "032024",
20 "liability": {
21 "iamt": 1000,
22 "camt": 150,
23 "samt": 200,
24 "csamt": 300
25 }
26 }
27 ]
28}),
29});
30
31const data = await response.json();
32console.log(data);
No example available.